/*
---------------
	DEFAULT
---------------
*/
.bg-sand { background: var(--color-sand); }
.bg-cream { background: var(--color-cream); }
.bg-brown { color: #FFFFFF; background: var(--color-brown); }
.bg-darkbrown { color: #FFFFFF; background: var(--color-dark-brown); }
.bg-white { background: #FFFFFF; }


/*
-----------------------
	FLC CASE: Intro
-----------------------
*/
.flc-item.flc-item__intro { margin-top: 70px; margin-bottom: 70px; }
.flc-item.flc-item__intro .block-item { display: flex; }
.flc-item.flc-item__intro .block-item .block { width: 50%; }
.flc-item.flc-item__intro .block-item .block-left { padding-right: 50px; }

.flc-item.flc-item__intro.has-top-line { border-top: 1px solid var(--color-silver-line); }
.flc-item.flc-item__intro.has-bottom-line { border-bottom: 1px solid var(--color-silver-line); }

/* Big Image */
.flc-item.flc-item__image { max-height: 600px; overflow: hidden; border-radius: 5px; } 
.flc-item.flc-item__image img { width: 100%; height: 100%; display: block; object-fit: cover; } 

/* Textarea */
.flc-item.flc-item__textarea { padding-top: 70px; padding-bottom: 70px; }

/* Text and Image */
.flc-item.flc-item__image_text { margin: 50px 0; }

.flc-item.flc-item__image_text .block-item { display: flex; gap: 50px; }
.flc-item.flc-item__image_text .block-item .block { flex: 1; }
.flc-item.flc-item__image_text .block-item .block-left { padding: 50px 0; display: flex; flex-direction: column; justify-content: center; }
.flc-item.flc-item__image_text .block-item .block-left .text { line-height: 150%; }
.flc-item.flc-item__image_text .block-item .block-left .text p:last-child { margin-bottom: 0 !important; }
.flc-item.flc-item__image_text .block-item .block-right { position: relative; overflow: hidden; aspect-ratio: 1 / 1; border-radius: 10px; }
.flc-item.flc-item__image_text .block-item .block-right img { width: 100%; height: 100%; display: block; object-fit: cover; position: absolute; }

.flc-item.flc-item__image_text.is-inverse .block-item .block-left { order: 2; }
.flc-item.flc-item__image_text.is-inverse .block-item .block-right { order: 1; }


/* 
----------------------------
	FLC CASE: 4 grid box 
----------------------------
*/
.flc-item.flc-item__four-grid-box { padding: 100px 0; }
.flc-item.flc-item__four-grid-box h2 { color: var(--color-primary) !important; }
.flc-item.flc-item__four-grid-box .subtitle { width: fit-content; margin: 0 auto 20px; padding-left: 40px; font-size: 13px; font-weight: 700; text-transform: uppercase; color: var(--color-brown); line-height: 100%; position: relative; }
.flc-item.flc-item__four-grid-box .subtitle::before { width: 30px; height: 2px; left: 0; top: calc(50% - 1px); background: var(--color-brown); position: absolute; content: ''; }
.flc-item.flc-item__four-grid-box .title { margin-bottom: 20px; font-size: var(--font-size-h2); font-weight: 700; line-height: 100%; }
.flc-item.flc-item__four-grid-box .text { margin-bottom: 30px; }

.flc-item.flc-item__four-grid-box .block-items { display: grid; gap: 20px; grid-auto-rows: min-content; grid-template-columns: repeat(4, minmax(50px, 1fr)); justify-content: center; }
.flc-item.flc-item__four-grid-box .block-items .block-item { flex: 1; padding: 30px 20px; background: var(--color-cream); border: 1px solid rgba(0 0 0 / 0.2); position: relative; overflow: hidden; border-radius: 10px; }
.flc-item.flc-item__four-grid-box .block-items .block-item::before { width: 4px; height: 0; left: 0; top: 0; background: var(--color-brown); position: absolute; content: ''; }
.flc-item.flc-item__four-grid-box .block-items .block-item h3 { width: 100%; font-size: 20px; font-weight: 700; color: var(--color-dark-brown); line-height: 100%; }
.flc-item.flc-item__four-grid-box .block-items .block-item .mark { width: 34px; height: 34px; margin-bottom: 20px; background: var(--color-sand); border: 1px solid rgba(0 0 0 / 0.2); display: flex; align-items: center; justify-content: center; border-radius: 5px; }
.flc-item.flc-item__four-grid-box .block-items .block-item .mark i { width: 12px; height: 12px; background: var(--color-brown); transform: rotate(45deg); border-radius: 2px; }

.flc-item.flc-item__four-grid-box .block-items .block-item:hover { border-color: var(--color-brown); }
.flc-item.flc-item__four-grid-box .block-items .block-item:hover::before { height: 100%; }


/* 
-------------------------------
	FLC CASE: Process steps
-------------------------------
*/
.flc-item.flc-item__process-steps { padding: 100px 0; }
.flc-item.flc-item__process-steps h2 { color: var(--color-primary) !important; }
.flc-item.flc-item__process-steps .subtitle { width: fit-content; margin: 0 auto 20px; padding-left: 40px; font-size: 13px; font-weight: 700; text-transform: uppercase; color: var(--color-brown); line-height: 100%; position: relative; }
.flc-item.flc-item__process-steps .subtitle::before { width: 30px; height: 2px; left: 0; top: calc(50% - 1px); background: var(--color-brown); position: absolute; content: ''; }
.flc-item.flc-item__process-steps .title { margin-bottom: 20px; font-size: var(--font-size-h2); font-weight: 700; line-height: 100%; }
.flc-item.flc-item__process-steps .text { margin-bottom: 30px; }

.flc-item.flc-item__process-steps .block-items { display: grid; grid-auto-rows: min-content; grid-template-columns: repeat(4, minmax(50px, 1fr)); justify-content: center; }
.flc-item.flc-item__process-steps .block-items .block-item { flex: 1; padding: 30px 20px 30px 0; }
.flc-item.flc-item__process-steps .block-items .block-item + .block-item { padding-left: 20px; border-left: 1px solid rgba(0 0 0 / 0.2); }
.flc-item.flc-item__process-steps .block-items .block-item h3 { width: 100%; font-size: 20px; font-weight: 700; color: var(--color-dark-brown); line-height: 100%; }
.flc-item.flc-item__process-steps .block-items .block-item .mark { margin-bottom: 20px; font-size: 40px; font-weight: 700; color: var(--color-sand); }


/* 
---------------------
	FLC CASE: CTA
---------------------
*/
.flc-item.flc-item__cta-links { padding: 100px 0; background: var(--color-sand); }
.flc-item.flc-item__cta-links .cta-links-wrapper { padding: 50px; background: var(--color-cream); border: 1px solid rgba(0 0 0 / 0.2); border-radius: 10px; display: flex; align-items: center; justify-content: space-between; gap: 50px; }
.flc-item.flc-item__cta-links .cta-links-wrapper h3 { font-weight: 700; }
.flc-item.flc-item__cta-links .cta-links-wrapper > div { flex: 1; }
.flc-item.flc-item__cta-links .cta-links-wrapper .buttons { display: flex; align-items: center; justify-content: end; gap: 20px; }


/* 
-----------------------
	FLC CASE: Logos
-----------------------
*/
.flc-item.flc-item__logos { padding-top: 90px; padding-bottom: 90px; }
.flc-item.flc-item__logos .block-items { display: grid; grid-template-columns: repeat(4, 1fr); }
.flc-item.flc-item__logos .block-items .block-item { height: 240px; padding: 0 30px; text-align: center; background: #FFFFFF; border-right: 1px solid var(--color-silver-line); display: flex; align-items: center; align-content: center; position: relative; }
.flc-item.flc-item__logos .block-items .block-item:nth-child(4n) { border-right: none; }
.flc-item.flc-item__logos .block-items .block-item img { width: 100%; height: auto; max-height: 100px; margin: auto; display: block; }
.flc-item.flc-item__logos .block-items .block-item .text { width: 100%; left: 0; bottom: 20px; margin-top: 20px; padding: 0 20px; font-size: 14px; color: #777777; line-height: 120%; position: absolute; }


@media only screen and (max-width: 960px) { 
	
	/* FLC CASE: Intro */
	.flc-item.flc-item__intro { margin-top: 50px; margin-bottom: 50px; }
	.flc-item.flc-item__intro .block-item .block { width: 100%; }
	.flc-item.flc-item__intro .block-item .block-left { margin-bottom: 20px; padding-right: 0; }
	
	/* FLC CASE: Text and Image */
	.flc-item.flc-item__image_text .block-item { display: flex; gap: 50px; }
	.flc-item.flc-item__image_text .block-item .block { flex: auto; }
	.flc-item.flc-item__image_text .block-item .block-left { padding: 0; order: 1 !important; }
	.flc-item.flc-item__image_text .block-item .block-right { order: 2 !important; }

	/* FLC CASE: 4 grid box */
	.flc-item.flc-item__four-grid-box { padding: 50px 0; }
	.flc-item.flc-item__four-grid-box .block-items { grid-template-columns: repeat(3, minmax(50px, 1fr)); }
	
	/* FLC CASE: Process steps */
	.flc-item.flc-item__process-steps { padding: 50px 0; }
	.flc-item.flc-item__process-steps .block-items { grid-template-columns: repeat(3, minmax(50px, 1fr)); }
	.flc-item.flc-item__process-steps .block-items .block-item:nth-child(4n) { padding-left: 0; border-left: none; }

	/* FLC CASE: CTA */
	.flc-item.flc-item__cta-links { padding: 50px 0; }
	
	/* FLEXIBLE CONTENT: Logos */
	.flc-item.flc-item__logos { padding-top: 50px; padding-bottom: 50px; }
	.flc-item.flc-item__logos .block-items { grid-template-columns: repeat(3, 1fr); }
	.flc-item.flc-item__logos .block-items .block-item:nth-child(4n) { border-right: 1px solid var(--color-silver-line); }
	.flc-item.flc-item__logos .block-items .block-item:nth-child(3n) { border-right: none; }
}


@media only screen and (max-width: 768px) { 

	/* FLC CASE: 4 grid box */
	.flc-item.flc-item__four-grid-box .block-items { grid-template-columns: repeat(2, minmax(50px, 1fr)); }
	
	/* FLC CASE: Process steps */
	.flc-item.flc-item__process-steps .block-items { grid-template-columns: repeat(2, minmax(50px, 1fr)); }
	.flc-item.flc-item__process-steps .block-items .block-item:nth-child(3n) { padding-left: 0; border-left: none; }
	.flc-item.flc-item__process-steps .block-items .block-item:nth-child(4n) { padding-left: 20px; border-left: 1px solid rgba(0 0 0 / 0.2); }
	
	/* FLC CASE: CTA */
	.flc-item.flc-item__cta-links .cta-links-wrapper { padding: 30px; gap: 20px; }
	.flc-item.flc-item__cta-links .cta-links-wrapper > div { flex: auto; }
	.flc-item.flc-item__cta-links .cta-links-wrapper .buttons { justify-content: start; }

	
	
}

@media only screen and (max-width: 640px) { 
	
	/* FLC CASE: 4 grid box */
	.flc-item.flc-item__four-grid-box .block-items { grid-template-columns: 1fr; }
	
	/* FLC CASE: Process steps */
	.flc-item.flc-item__process-steps .block-items { grid-template-columns: 1fr; }
	.flc-item.flc-item__process-steps .block-items .block-item { padding: 30px 0 !important; border-left: none !important; border-bottom: 1px solid rgba(0 0 0 / 0.2); }
	.flc-item.flc-item__process-steps .block-items .block-item:last-child { border-bottom: none !important; }
	
	/* FLEXIBLE CONTENT: Logos */
	.flc-item.flc-item__logos .block-items { grid-template-columns: repeat(2, 1fr); }
	.flc-item.flc-item__logos .block-items .block-item:nth-child(3n) { border-right: 1px solid var(--color-silver-line); }
	.flc-item.flc-item__logos .block-items .block-item:nth-child(2n) { border-right: none; }
}
